
/*! ============================================================================= */

/*! Fullscreen navigation (primarily used for mobile devices). */

/*! ============================================================================= */
.fullscreen-menu {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	min-height: 100%;
	background: rgba(0, 0, 0, .8);
	color: #fff;
	padding: 30px;
	display: none;
	opacity: 0;
	z-index: 10000;
}

.fullscreen-menu__close-btn {
	position: absolute;
	top: 0;
	right: 0;
	font-size: 0;
	color: inherit;
	transition: opacity 250ms;
	display: inline-block;
	padding: 23px;
	z-index: 10010;
}

.fullscreen-menu__close-btn svg {
	font-size: 30px;
	stroke-width: 1px;
}

.fullscreen-menu__close-btn:hover {
	color: inherit;
}

.fullscreen-menu__nav-ul {
	list-style: none;
	margin: 0;
	padding: 0;
}

.fullscreen-menu__nav-ul a {
	display: inline-block;
	line-height: 1.75;
	font-size: 30px;
	color: inherit;
	text-decoration: none;
	transition: opacity 250ms;
}

.fullscreen-menu__nav-ul .sub-menu {
	list-style: none;
	margin: 0 0 0 2rem;
	padding: 0;
	height: 0;
	overflow: hidden;
	display: none;
}

.fullscreen-menu__nav-ul .sub-menu > li:first-child {
	padding-top: 1rem;
}

.fullscreen-menu__nav-ul .sub-menu > li:last-child {
	padding-bottom: 1rem;
}

.fullscreen-menu__nav-ul .sub-menu a {
	font-size: 20px;
}

.fullscreen-menu__nav-ul li:last-child > .sub-menu {
	padding-bottom: 0;
}
